## Package Win32::GUI::AcceleratorTable

Back to the Packages

- Constructor

  - new Win32::GUI::AcceleratorTable(%ACCELERATORS)

- Events

  - Click()

### Constructor

new Win32::GUI::AcceleratorTable(%ACCELERATORS)

  Creates an AcceleratorTable object. `%ACCELERATORS` is an associative array of key combinations and accelerator names, in pair: Example:

          $A = new Win32::GUI::AcceleratorTable(
              "Ctrl-X"       => "Close",
              "Shift-N"      => "New",
              "Ctrl-Alt-Del" => "Reboot",
          );

  The AcceleratorTable object can be associated to a window with the -accel option; then, when an accelerator is used, a corresponding <name>_Click event is fired. Keyboard combinations currently support the following modifier :

          Shift
          Ctrl  (or Control)
          Alt

  and the following keys:

          A..Z, 0..9
          Left, Right, Up, Down
          Home, End, PageUp, PageDown (or PgUp/PgDn)
          Space, Ins, Del, Esc, Backspace, Tab, Return
          F1..F12

### Events

Click()

  Sent when the users triggers an Accelerator object.